include ../../Source/make_opts

LD	      = ld
DEST	      = ../

EXTHDRS	      =

HDRS	      =

INSTALL	      = ./

LIBRARY	      = ../../lib/libvirt.a

MAKEFILE      = Makefile

OBJS          = qqb_w_v.o gg_h_v.o qqb_QQb_v.o


PRINT	      = pr

SHELL	      = /bin/sh

SYSHDRS	      =

MFLAGS        = -e

#.F.o:
%.o : %.F
	$(FC) $(FFLAGS) -c $<

%.o : %.f
	$(FC) $(FFLAGS) -c $<

all:		$(LIBRARY)

virt:
		-rm -f *.o
		export FFLAGS='-O +cpp' && \
		export LIBRARY=libttjvirt.a && \
		$(MAKE) $(MFLAGS)


install-virt:
		export LIBRARY=libttjvirt.a && \
		$(MAKE) $(MFLAGS) install	


$(LIBRARY):	$(OBJS)
		@echo  "Loading $(LIBRARY) ... "
		@ar cru $(LIBRARY) $(OBJS)
		@echo "done"


clean:;		@rm -f $(OBJS) core

clobber:;	@rm -f $(OBJS) $(LIBRARY) core tags

install:	$(LIBRARY)
	        @echo Installing $(LIBRARY) in $(DEST)
	        @if [ $(DEST) != . ]; then \
	        (rm -f $(DEST)/$(LIBRARY); $(INSTALL) -f $(DEST) $(LIBRARY)); fi

$(DEST)/$(LIBRARY): $(SRCS) $(HDRS) $(EXTHDRS)
	        @$(MAKE) -f $(MAKEFILE) ROOT=$(ROOT) DEST=$(DEST) install
